<?php 

	require_once 'controls/verifylogin.php';
	require_once 'funcoes.php';
	require_once('Connections/paivaconex.php'); 

$criterio_pagar = '';
$criterio_receber = '';
$link = '';




if($_GET['status']==1){ 
	$criterio_pagar .= " AND if(IFNULL(if(DtPagamento > (NOW()+1),'0',DtPagamento),'0') <> '0', DtPagamento, '0') = '0'";
}	


if($_GET['status']==2){ 
	$criterio_pagar .= " AND if(IFNULL(if(DtPagamento > (NOW()+1),'0',DtPagamento),'0') <> '0', DtPagamento, '0') > '0'";
}	


	
if($_GET['fornec_id']>0){ 
	$criterio_pagar .= " AND Fornecedor = ".$_GET['fornec_id'];
	
}	

$link .='&fornec_id='.$_GET['fornec_id'];

if($_GET['cliente_id']>0){
	$criterio_pagar .= " AND Cliente = ".$_GET['cliente_id'];
	$criterio_receber .= " AND Cliente_Id = ".$_GET['cliente_id'];
	
}	

$link .='&cliente_id='.$_GET['cliente_id'];

if($_GET['pasta_id']>0){
	$criterio_pagar .= " AND Pasta = ".$_GET['pasta_id'];
	$criterio_receber .= " AND Pasta_Id = ".$_GET['pasta_id'];
	
}	

$link .='&pasta_id='.$_GET['pasta_id'];

if($_GET['contas_id']>0){
	$criterio_pagar .= " AND mfin_contas.Id = ".$_GET['contas_id'];
	$criterio_receber .= " AND mfin_contas.Id = ".$_GET['contas_id'];
	
}	

$link .='&contas_id='.$_GET['contas_id'];

if($_GET['grupo_contas_id']>0){
	$criterio_pagar .= " AND mfin_grupocontas.Id = ".$_GET['grupo_contas_id'];
	$criterio_receber .= " AND mfin_grupocontas.Id = ".$_GET['grupo_contas_id'];
	
}	
	
$link .='&grupo_contas_id='.$_GET['grupo_contas_id'];
	
	
	
	
	
	
	

mysql_select_db($database_paivaconex, $paivaconex);
$query_despesas_ini = "SELECT (Valor- Ir- Pis- Cofins- Csll- Inss- Iss+ Juros- Desconto+ Multa + diferenca + outros) AS valorliquido, mfin_clientes.NomeFantasia as cli_nome, mfin_pastas.Numero as num_pasta
FROM mfin_pagamentos 
INNER JOIN mes ON MONTH(if(DtPagamento <> '0', DtPagamento, NULL)) = mes_id
join mfin_clientes on mfin_pagamentos.Cliente = mfin_clientes.Id 
join mfin_fornecedores on mfin_pagamentos.Fornecedor = mfin_fornecedores.Id 
join mfin_contas on mfin_fornecedores.ContaResultado = mfin_contas.Id 
join mfin_grupocontas on mfin_contas.Grupo = mfin_grupocontas.Id
Left join  mfin_pastas on Pasta = mfin_pastas.Id


WHERE  mfin_pagamentos.Id >0  ".$criterio_pagar."

";
$despesas_ini = mysql_query($query_despesas_ini, $paivaconex) or die(mysql_error());
$row_despesas_ini = mysql_fetch_assoc($despesas_ini);
$totalRows_despesas_ini = mysql_num_rows($despesas_ini);

$recebimentos = 0;
unset($recebimentos);

$pagamentos = 0;
unset($pagamentos);

$lucro_total = 0;
$recebimentos_total = 0;
$pagamentos_total = 0;


?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	
		<title>Módulo Financeiro</title>
        
<script src="js/jquery-1.7.2.js" type="text/javascript"></script>
<script src="js/jquery.maskedinput-1.3.min.js" type="text/javascript"></script>
<script>
        jQuery(function($){
		   $("#data_ini").mask("99/99/9999");
		   $("#data_fim").mask("99/99/9999");
		 });
        
</script>
<script type="text/javascript">
$(document).ready(function() {
    var a = 0;
			
			$("#data_ini").keyup(function(){
				var b = 0;
				a = $(this).val();
				$.each( a, function( key, value ) {
					if(value != '_'){
						b = b+1;
					}  
				});
				
				if (b == 10){
					$("#data_fim").focus();
				}
			});
        });
        
</script>
        
		
		<link href="../SpryAssets/SpryValidationTextField.css" rel="stylesheet" type="text/css" />
		<?php include_once('controls/import.php'); ?>
	
	<script src="../SpryAssets/SpryValidationTextField.js" type="text/javascript"></script>
	</head>
<body>
	
<?php include_once('controls/header.php'); ?>

	<div class="content">
	
		<div class="form">
		
		<?php include_once('controls/menu.php'); ?>
			
			<div id="conteudo-site">
			
				<div class="titulo-conteudo-site">
					<img src="images/applications.png" title="" alt="" /> Módulo Financeiro  
				</div>
				<p>&nbsp;</p>
			  <p>&nbsp;</p>
                
      <table border="1" align="center">
        <tr bgcolor="#CCCCCC">
          <td height="40" colspan="3" style="border:1px solid #000000; font-weight:bold; font-size:16px;">Relatório Lan&ccedil;amento</td>
        </tr>
        <tr align="center">
          <td width="100" height="40" style="border:1px solid #000000; font-weight:bold">PASTA</td>
          <td width="359" height="40" style="border:1px solid #000000; font-weight:bold">CLIENTE</td>
          
          <td width="150" height="40" style="border:1px solid #000000; font-weight:bold">VALOR</td>
        </tr>
        <?php do{ ?>
        
        <tr align="right">
          <td width="100" height="40" align="left" style="border:1px solid #000000; font-weight:bold"><?php echo $row_despesas_ini['num_pasta']; ?></td>
          <td width="359" height="40" align="left" style="border:1px solid #000000; font-weight:bold"><?php echo $row_despesas_ini['cli_nome']; ?></td>
          
          <td width="150" height="40" style="border:1px solid #000000; font-weight:bold"><?php echo number_format($row_despesas_ini['valorliquido'],'2',',','.'); ?></td>
        </tr>
        
        <?php } while ($row_despesas_ini = mysql_fetch_assoc($despesas_ini));?>
        
        </table>
      
    
    
          </div>
			
		</div>
		
	</div>
	
	<?php include_once('controls/footer.php'); ?>
</body>
</html>